Subject: Re: bug#41412: 27.0.90; Value of default directory in completions buffer

From: Stefan Monnier <[email-masked]>
Date: Fri, 22 Jan 2021 17:50:18 -0500

> I think that sounds likely.  The patch that introduced this code is
> below, and it indeed changes the `file-name-directory' to
> `file-name-as-directory' (among other things).

But it also changed a fair bit around it.  And the `substring` is quite different.
When I look at the history of this code,
30c7e54299fc81cd3122a17ef130ab69e9855f99 looks wrong.  In order not to
change the behavior, I suspect it should have been:

    (buffer-substring (minibuffer-prompt-end)
                      (+ (minibuffer-prompt-end) (or completion-base-size 0))))))))

and then 326fdb9ec05ab5e4aec0c7064272bb3d223e9875 looks wrong again
since it presumes that `completion-base-size` is nil whereas it usually
isn't/wasn't when completing files.

        Stefan